package com.fjhx.service.quality;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.quality.QualityTestingDetails;
import com.fjhx.params.quality.QualityTestingDetailsVo;

import java.util.Map;

/**
 * <p>
 * 质检明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
public interface QualityTestingDetailsService extends StorageBaseService<QualityTestingDetails> {

    void add(QualityTestingDetailsVo qualityTestingDetailsVo);

    void edit(QualityTestingDetailsVo qualityTestingDetailsVo);

    void delete(QualityTestingDetailsVo qualityTestingDetailsVo);

    Map<String, Object> recordDetailStatistics(Condition condition);

    Page<QualityTestingDetails> recordDetailPage(Condition condition);

}
